ApiHBaseSnapshotResult (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiHBaseSnapshotResult

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHBaseSnapshotResult

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiHBaseSnapshotResult
      extends Object

  Detailed information about an HBase snapshot command.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHBaseSnapshotResult()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHBaseSnapshotResult` | `addCreatedSnapshotsItem(ApiHBaseSnapshot createdSnapshotsItem)`
    `ApiHBaseSnapshotResult` | `addCreationErrorsItem(ApiHBaseSnapshotError creationErrorsItem)`
    `ApiHBaseSnapshotResult` | `addDeletedSnapshotsItem(ApiHBaseSnapshot deletedSnapshotsItem)`
    `ApiHBaseSnapshotResult` | `addDeletionErrorsItem(ApiHBaseSnapshotError deletionErrorsItem)`
    `ApiHBaseSnapshotResult` | `addProcessedTablesItem(String processedTablesItem)`
    `ApiHBaseSnapshotResult` | `addUnprocessedTablesItem(String unprocessedTablesItem)`
    `ApiHBaseSnapshotResult` | `createdSnapshotCount(BigDecimal createdSnapshotCount)`
    `ApiHBaseSnapshotResult` | `createdSnapshots(List<ApiHBaseSnapshot> createdSnapshots)`
    `ApiHBaseSnapshotResult` | `creationErrorCount(BigDecimal creationErrorCount)`
    `ApiHBaseSnapshotResult` | `creationErrors(List<ApiHBaseSnapshotError> creationErrors)`
    `ApiHBaseSnapshotResult` | `deletedSnapshotCount(BigDecimal deletedSnapshotCount)`
    `ApiHBaseSnapshotResult` | `deletedSnapshots(List<ApiHBaseSnapshot> deletedSnapshots)`
    `ApiHBaseSnapshotResult` | `deletionErrorCount(BigDecimal deletionErrorCount)`
    `ApiHBaseSnapshotResult` | `deletionErrors(List<ApiHBaseSnapshotError> deletionErrors)`
    `boolean` | `equals(Object o)`
    `BigDecimal` | `getCreatedSnapshotCount()` Number of snapshots created.
    `List<ApiHBaseSnapshot>` | `getCreatedSnapshots()` List of snapshots created.
    `BigDecimal` | `getCreationErrorCount()` Number of errors detected when creating snapshots.
    `List<ApiHBaseSnapshotError>` | `getCreationErrors()` List of errors encountered when creating snapshots.
    `BigDecimal` | `getDeletedSnapshotCount()` Number of snapshots deleted.
    `List<ApiHBaseSnapshot>` | `getDeletedSnapshots()` List of snapshots deleted.
    `BigDecimal` | `getDeletionErrorCount()` Number of errors detected when deleting snapshots.
    `List<ApiHBaseSnapshotError>` | `getDeletionErrors()` List of errors encountered when deleting snapshots.
    `BigDecimal` | `getProcessedTableCount()` Number of processed tables.
    `List<String>` | `getProcessedTables()` The list of processed tables.
    `BigDecimal` | `getUnprocessedTableCount()` Number of unprocessed tables.
    `List<String>` | `getUnprocessedTables()` The list of unprocessed tables.
    `int` | `hashCode()`
    `ApiHBaseSnapshotResult` | `processedTableCount(BigDecimal processedTableCount)`
    `ApiHBaseSnapshotResult` | `processedTables(List<String> processedTables)`
    `void` | `setCreatedSnapshotCount(BigDecimal createdSnapshotCount)`
    `void` | `setCreatedSnapshots(List<ApiHBaseSnapshot> createdSnapshots)`
    `void` | `setCreationErrorCount(BigDecimal creationErrorCount)`
    `void` | `setCreationErrors(List<ApiHBaseSnapshotError> creationErrors)`
    `void` | `setDeletedSnapshotCount(BigDecimal deletedSnapshotCount)`
    `void` | `setDeletedSnapshots(List<ApiHBaseSnapshot> deletedSnapshots)`
    `void` | `setDeletionErrorCount(BigDecimal deletionErrorCount)`
    `void` | `setDeletionErrors(List<ApiHBaseSnapshotError> deletionErrors)`
    `void` | `setProcessedTableCount(BigDecimal processedTableCount)`
    `void` | `setProcessedTables(List<String> processedTables)`
    `void` | `setUnprocessedTableCount(BigDecimal unprocessedTableCount)`
    `void` | `setUnprocessedTables(List<String> unprocessedTables)`
    `String` | `toString()`
    `ApiHBaseSnapshotResult` | `unprocessedTableCount(BigDecimal unprocessedTableCount)`
    `ApiHBaseSnapshotResult` | `unprocessedTables(List<String> unprocessedTables)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHBaseSnapshotResult

          public ApiHBaseSnapshotResult()

  - ### Method Detail

    - #### processedTableCount

          public ApiHBaseSnapshotResult processedTableCount(BigDecimal processedTableCount)

    - #### getProcessedTableCount

          public BigDecimal getProcessedTableCount()

      Number of processed tables.
      Returns:
        processedTableCount

    - #### setProcessedTableCount

          public void setProcessedTableCount(BigDecimal processedTableCount)

    - #### processedTables

          public ApiHBaseSnapshotResult processedTables(List<String> processedTables)

    - #### addProcessedTablesItem

          public ApiHBaseSnapshotResult addProcessedTablesItem(String processedTablesItem)

    - #### getProcessedTables

          public List<String> getProcessedTables()

      The list of processed tables. <p/> This is only available in the full view.
      Returns:
        processedTables

    - #### setProcessedTables

          public void setProcessedTables(List<String> processedTables)

    - #### unprocessedTableCount

          public ApiHBaseSnapshotResult unprocessedTableCount(BigDecimal unprocessedTableCount)

    - #### getUnprocessedTableCount

          public BigDecimal getUnprocessedTableCount()

      Number of unprocessed tables.
      Returns:
        unprocessedTableCount

    - #### setUnprocessedTableCount

          public void setUnprocessedTableCount(BigDecimal unprocessedTableCount)

    - #### unprocessedTables

          public ApiHBaseSnapshotResult unprocessedTables(List<String> unprocessedTables)

    - #### addUnprocessedTablesItem

          public ApiHBaseSnapshotResult addUnprocessedTablesItem(String unprocessedTablesItem)

    - #### getUnprocessedTables

          public List<String> getUnprocessedTables()

      The list of unprocessed tables. Note that tables that are currently being processed will also be included in this list. <p/> This is only available in the full view.
      Returns:
        unprocessedTables

    - #### setUnprocessedTables

          public void setUnprocessedTables(List<String> unprocessedTables)

    - #### createdSnapshotCount

          public ApiHBaseSnapshotResult createdSnapshotCount(BigDecimal createdSnapshotCount)

    - #### getCreatedSnapshotCount

          public BigDecimal getCreatedSnapshotCount()

      Number of snapshots created.
      Returns:
        createdSnapshotCount

    - #### setCreatedSnapshotCount

          public void setCreatedSnapshotCount(BigDecimal createdSnapshotCount)

    - #### createdSnapshots

          public ApiHBaseSnapshotResult createdSnapshots(List<ApiHBaseSnapshot> createdSnapshots)

    - #### addCreatedSnapshotsItem

          public ApiHBaseSnapshotResult addCreatedSnapshotsItem(ApiHBaseSnapshot createdSnapshotsItem)

    - #### getCreatedSnapshots

          public List<ApiHBaseSnapshot> getCreatedSnapshots()

      List of snapshots created. <p/> This is only available in the full view.
      Returns:
        createdSnapshots

    - #### setCreatedSnapshots

          public void setCreatedSnapshots(List<ApiHBaseSnapshot> createdSnapshots)

    - #### deletedSnapshotCount

          public ApiHBaseSnapshotResult deletedSnapshotCount(BigDecimal deletedSnapshotCount)

    - #### getDeletedSnapshotCount

          public BigDecimal getDeletedSnapshotCount()

      Number of snapshots deleted.
      Returns:
        deletedSnapshotCount

    - #### setDeletedSnapshotCount

          public void setDeletedSnapshotCount(BigDecimal deletedSnapshotCount)

    - #### deletedSnapshots

          public ApiHBaseSnapshotResult deletedSnapshots(List<ApiHBaseSnapshot> deletedSnapshots)

    - #### addDeletedSnapshotsItem

          public ApiHBaseSnapshotResult addDeletedSnapshotsItem(ApiHBaseSnapshot deletedSnapshotsItem)

    - #### getDeletedSnapshots

          public List<ApiHBaseSnapshot> getDeletedSnapshots()

      List of snapshots deleted. <p/> This is only available in the full view.
      Returns:
        deletedSnapshots

    - #### setDeletedSnapshots

          public void setDeletedSnapshots(List<ApiHBaseSnapshot> deletedSnapshots)

    - #### creationErrorCount

          public ApiHBaseSnapshotResult creationErrorCount(BigDecimal creationErrorCount)

    - #### getCreationErrorCount

          public BigDecimal getCreationErrorCount()

      Number of errors detected when creating snapshots.
      Returns:
        creationErrorCount

    - #### setCreationErrorCount

          public void setCreationErrorCount(BigDecimal creationErrorCount)

    - #### creationErrors

          public ApiHBaseSnapshotResult creationErrors(List<ApiHBaseSnapshotError> creationErrors)

    - #### addCreationErrorsItem

          public ApiHBaseSnapshotResult addCreationErrorsItem(ApiHBaseSnapshotError creationErrorsItem)

    - #### getCreationErrors

          public List<ApiHBaseSnapshotError> getCreationErrors()

      List of errors encountered when creating snapshots. <p/> This is only available in the full view.
      Returns:
        creationErrors

    - #### setCreationErrors

          public void setCreationErrors(List<ApiHBaseSnapshotError> creationErrors)

    - #### deletionErrorCount

          public ApiHBaseSnapshotResult deletionErrorCount(BigDecimal deletionErrorCount)

    - #### getDeletionErrorCount

          public BigDecimal getDeletionErrorCount()

      Number of errors detected when deleting snapshots.
      Returns:
        deletionErrorCount

    - #### setDeletionErrorCount

          public void setDeletionErrorCount(BigDecimal deletionErrorCount)

    - #### deletionErrors

          public ApiHBaseSnapshotResult deletionErrors(List<ApiHBaseSnapshotError> deletionErrors)

    - #### addDeletionErrorsItem

          public ApiHBaseSnapshotResult addDeletionErrorsItem(ApiHBaseSnapshotError deletionErrorsItem)

    - #### getDeletionErrors

          public List<ApiHBaseSnapshotError> getDeletionErrors()

      List of errors encountered when deleting snapshots. <p/> This is only available in the full view.
      Returns:
        deletionErrors

    - #### setDeletionErrors

          public void setDeletionErrors(List<ApiHBaseSnapshotError> deletionErrors)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.